Subject: RE: [Ltru] Last Call Comments: draft-ietf-ltru-registry-09

From: "Addison Phillips" <[email-masked]>
Date: Fri, 15 Jul 2005 09:53:32 -0700

Thanks for the comments. Responses follow.

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Scott Hollenbeck
> Sent: 2005?7?15? 6:57
> To: [email-masked]
> Subject: [Ltru] Last Call Comments: draft-ietf-ltru-registry-09
> 
> draft-ietf-ltru-registry-09 looks really good.  It's precise and complete
> as
> far as I can tell.  I did find a few small issues, though:
> 
> Section 1, second-to-last paragraph:
> Please add citations for RFCs 3066 and 1766.
> 
> - This document replaces RFC 3066, which replaced RFC 1766.
> + This document replaces RFC 3066 [RFC3066], which replaced RFC 1766
> [RFC1766].
[Addison Phillips] 

Done, actually replaced with symrefs.
> 
> Section 2.1, first paragraph:
> Please cite the ABNF specification in "ABNF %x2D".
> 
> - ABNF %x2D
> + ABNF [RFC2234bis] %x2D
[Addison Phillips] 

Done.
> 
> Section 2.1, bottom of page 5:
> Please cite a specification for US-ASCII since the text says "Note that
> although [RFC2234bis] refers to octets, the language tags described in
> this
> document are sequences of characters from the US-ASCII repertoire".
[Addison Phillips] 

I added a reference to ISO/IEC 646 (as a normative reference).
> 
> Section 2.1, top of page 6:
> - capitalization of some of the subtags, but these MUST not be taken to
> + capitalization of some of the subtags, but these MUST NOT be taken to
[Addison Phillips] 

Good catch.
> 
> Page 22, 5th paragraph:
> "MAY NOT" is not an RFC 2119 imperative.  A change to "do not" might be
> appropriate.
[Addison Phillips] 

Actually page 21. 

I shouldn't be normative in the first place. I weakened your suggested text slightly and the resulting paragraph reads:

<t>Note that 'Preferred-Value' mappings in records of type 'region' sometimes does not represent exactly the same meaning as the original value. There are many reasons for a country code to be changed and the effect this has on the formation of language tags will depend on the nature of the change in question.</t>
> 
> Section 3.6: What type of RFC is required?  Informational or Standards
> Track?  Community-reviewed, or RFC-Editor published?  Does it matter?  It
> might be helpful to cite one of the methods described in section 2 of RFC
> 2434 if one is appropriate.  Later text in the section says "although the
> IESG MAY change the assignment when approving the RFC", so I have to
> believe
> that we're talking about either an "IETF Consensus" or "Standards Action"
> document.
> 
Referencing RFC 2434 make a great deal of sense. I tend to think that the intention was an "IETF Consensus" decision so I borrowed a locution by googling IETF Consensus and finding draft-ietf-pwe3-iana-allocation-11.txt and propose that we change this paragraph:

<q>Allocation of a single-letter subtag SHALL take the form of an 
RFC defining the name, purpose, processes, and procedures for 
maintaining the subtags. The maintaining or registering authority, including 
name, contact email, discussion list email, and URL location of the registry 
MUST be indicated clearly in the RFC. The RFC MUST specify or include each of the following:</q>

To read:

<q>Single-letter subtags are to be assigned by IANA using the "IETF Consensus" policy defined by RFC 2434. This policy requires the development of an RFC, which SHALL define the name, purpose, processes, and procedures for maintaining the subtags. The maintaining or registering authority, including name, contact email, discussion list email, and URL location of the registry MUST be indicated clearly in the RFC. The RFC MUST specify or include each of the following:</q>

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Misha Wolf <[email-masked]>
Date: Fri, 15 Jul 2005 18:00:27 +0100

Addison Phillips wrote:

<t>Note that 'Preferred-Value' mappings in records of type 'region'
sometimes does not represent exactly the same meaning as the original
value. There are many reasons for a country code to be changed and 
the effect this has on the formation of language tags will depend on 
the nature of the change in question.</t>

Singular/plural problem: You have "mappings" but "does not".

Misha

-----------------------------------------------------------------
        Visit our Internet site at http://www.reuters.com

To find out more about Reuters Products and Services visit http://www.reuters.com/productinfo 

Any views expressed in this message are those of  the  individual
sender,  except  where  the sender specifically states them to be
the views of Reuters Ltd.

---

From: "Addison Phillips" <[email-masked]>
Date: Fri, 15 Jul 2005 10:02:38 -0700

Thanks.

Addison P. Phillips

> Behalf Of Misha Wolf
> Sent: 2005?7?15? 10:00
> Subject: RE: [Ltru] Last Call Comments: draft-ietf-ltru-registry-09
> 
> Addison Phillips wrote:
>